<?xml version="1.0"?>
<tryton>
    <data>
    <!-- ENO views -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_view_form">
            <field name="model">gnuhealth.contact_tracing.eno</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_contact_tracing_eno_form</field>
        </record>        
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_view_tree">
            <field name="model">gnuhealth.contact_tracing.eno</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_contact_tracing_eno_tree</field>
        </record>
        
        <record model="ir.action.act_window" id="act_gnuhealth_contact_eno">
            <field name="name">ENO</field>
            <field name="res_model">gnuhealth.contact_tracing.eno</field>
        </record>
        
        <record model="ir.action.act_window.view"
            id="act_gnuhealth_contact_eno_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="gnuhealth_contact_tracing_eno_view_tree"/>
            <field name="act_window" ref="act_gnuhealth_contact_eno"/>
        </record>
        
        <record model="ir.action.act_window.domain" id="gnuhealth_contact_tracing_eno_draft">
            <field name="name">Draft</field>
            <field name="sequence" eval="10"/>
            <field name="domain" eval="[('state','=', 'draft')]" pyson="1"/>
            <field name="act_window" ref="act_gnuhealth_contact_eno"/>
        </record>
        
        <record model="ir.action.act_window.domain" id="gnuhealth_contact_tracing_eno_done">
            <field name="name">Done</field>
            <field name="sequence" eval="20"/>
            <field name="domain" eval="[('state','=','done')]" pyson="1"/>
            <field name="act_window" ref="act_gnuhealth_contact_eno"/>
        </record>
        
         <record model="ir.action.act_window.domain" id="gnuhealth_contact_tracing_eno_all">
            <field name="name">All</field>
            <field name="sequence" eval="30"/>
            <field name="domain" pyson="1"/>
            <field name="act_window" ref="act_gnuhealth_contact_eno"/>
        </record>
        
        <record model="ir.action.act_window.view"
            id="act_gnuhealth_contact_eno_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="gnuhealth_contact_tracing_eno_view_form"/>
            <field name="act_window" ref="act_gnuhealth_contact_eno"/>
        </record>
        
        <menuitem id="gnuhealth_contact_tracing_eno" name="ENO COVID"
                parent="health_contact_tracing.gnuhealth_contact-tracing" 
                action="act_gnuhealth_contact_eno" sequence="30" />
        <!--  stretch contact    -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_party_view_form">
            <field name="model">gnuhealth.contact_tracing.eno-party</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_contact_tracing_eno_party_form</field>
        </record>        
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_party_view_tree">
            <field name="model">gnuhealth.contact_tracing.eno-party</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_contact_tracing_eno_party_tree</field>
        </record>
        
        <!-- drug treatment -->
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_drug_treatment_form_view">
            <field name="model">gnuhealth.contact_tracing.eno.drug_treatment</field>
            <field name="type">form</field>
            <field name="name">gnuhealth_contact_tracing_eno_drug_treament_form</field>
        </record>        
        <record model="ir.ui.view" id="gnuhealth_contact_tracing_eno_drug_treatment_tree_view">
            <field name="model">gnuhealth.contact_tracing.eno.drug_treatment</field>
            <field name="type">tree</field>
            <field name="name">gnuhealth_contact_tracing_eno_drug_treament_tree</field>
        </record>

    </data>
</tryton>
